extends NinePatchRect


# Called when the node enters the scene tree for the first time.
func _ready():
    $grd_forced/btn_cancel.button_connect('pressed', Callable(self, 'on_btn_cancel_pressed').bind($grd_forced/btn_cancel))


func on_btn_cancel_pressed(btn):
    signaller.emit_signal('interfer_off_all')
    await get_tree().create_timer(0.1).timeout
    btn.pressed = false


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
    pass
